Firefox 부가 기능 현대화 - 자주 묻는 질문(FAQ)

오래된 확장 기능이란?

Firefox 57에 호환되지 않은 예전 기술(SDK 및 XUL)로 개발된 확장 기능을 "오래된(legacy)" 확장 기능이라고 합니다.

오래된 확장 기능이 설치되어 있는지 어떻게 알 수 있습니까?

오래된 확장 기능을 살펴 보려면, 부가 기능 관리자(도구 > 부가 기능, 혹은 주소창에서 “about:addons”라고 치면 됨)에서 확인할 수 있습니다.

Legacy extension warning

'오래된 확장 기능' 탭에서 보실 수 있습니다. “다른 플러그인 찾기”를 통해 추천 기능을 보실 수 있습니다. 보다 궁금한 점은 더 자세히 보기를 살펴보세요.

Firefox 57로 업그레이드하면, “legacy” 표시가 된 확장 기능을 동작하지 않나요?

네. 업그레이드 할 때 "레거시"라는 부가 기능이 작동하지 않을 가능성이 큽니다. 그러나, 가장 인기있는 Firefox 확장 기능 대부분은 Firefox 57과 호환됩니다. 경우에 따라 개발자는 연장 날짜를 2017 년 11월 14일까지 호환되도록 마감 시간까지 작업해야합니다. 다른 확장 기능 마감일이 지났습니다. 이 경우 호환되는 버전을 사용할 수 있게되면 확장 프로그램이 자동으로 업데이트됩니다.

=레거시로 표시되면 확장 기능이 쓸 수 없다는 것을 의미합니까? 네. "오래된 확장 기능"이라고 표시된 확장 프로그램은 Firefox 57에서 작동하지 않습니다. 경우에 따라 개발자는 2017년 11월 14일에 출시일 이후에도 확장 프로그램을 호환 가능하게 유지해야합니다. 이 경우 호환되는 버전을 사용할 수있게되면 확장 프로그램이 자동으로 업데이트됩니다.

Firefox 57에서 테마가 동작하지 않나요?

현재 기본 테마를 쓰고 있다면, 문제가 없습니다. 완전 테마 사용자는 동작하지 않습니다. 부가 기능 관리자 '테마' 탭으로 가서 시도해보십시오. 앞으로 몇 달간 테마를 개선하고 있으므로, 향후 출시 버전에서 이미지 오버레이를 넘어선 부가 기능으로 테마를 찾을 수 있습니다.

테마 기능에 어떤 변화가 있나요?

기존 완전 테마는 Firefox 57에서 작동하지 않으므로 사용할 수 없습니다. 어두운 테마를 사용하는 경우 추가 기능 관리자의 어두운 테마 옵션이 좋은 옵션 일 수 있습니다. 부가 기능 관리자 '테마' 탭으로 가서 시도해보십시오. 앞으로 몇 달간 테마를 개선하고 있으므로, 향후 출시 버전에서 이미지 오버레이를 넘어선 부가 기능으로 테마를 찾을 수 있습니다.

플래시 관련 부가 기능은 어떻게 되나요?

Firefox 55 출시 이후 부터, Adobe Flash은 기본으로 실행되지 않습니다. 클릭 하여 실행을 통해 사용하실 수 있습니다. 원하시면, 플래시 동작 설정을 특정 사이트나 모든 사이트에 추가하실 수 있습니다.

가장 인기있는 플래시 확장 프로그램 중 일부는 브라우저의 일부 기능으로 제공 중 입니다. 이러한 확장 기능은 현재 사용되지 않으므로, 더 이상 개발자가 지원하지 않으며 더 이상 작동하지 않습니다.

몇몇 경우에 대해, 플래시 기능 중 일부를 WebExtension API에서 대체하고 있습니다. (예: Flash LSO deletion). 부가 기능은 시간이 지남에 따라 플래시 기능 중 대부분을 대체할 것이며, 동등한 기능을 창출하는 데 필요한 것을 발견하기 위해 함께 노력할 것입니다.

// These fine people helped write this article:윤석찬. You can help too - find out how.

이 문서가 도움이 되셨습니까? 잠시만 기다려 주십시오...

Mozilla 도움말 공헌자